@import url('/src/styles/styles.less');

.book-card-container {
    border-radius: @lms-small-border-radius;
    .medium-elevation-mixin();
    overflow: hidden;
    // position: relative;
    display: flex;
    flex-direction: column;
    margin: 0.5rem;
    text-align: center;

    .name {
        color: white;
        font-weight: bold;
        font-size: 1.5rem;
    }

    .card-background {
        // position: absolute;
        // background-position: center;
        background-size: cover;
        height: 10rem;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .card-meta {
        padding: 1em;
        .author {
            margin-top: 1rem;
            font-weight: bold;
            font-size: 1em;
        }
        .description {
            margin: 1rem 2rem;
            font-size: 0.9rem;
        }
    }

    .card-action {
        display: flex;
        flex-direction: row;
        width: 100%;
        flex-wrap: wrap;
        border-top: 1px solid #bfbfbf;
        cursor: pointer;
        user-select: none;
        margin-top: auto;
        bottom: 0;
        .card-action-item {
            flex-basis: 100%;
            flex: 1;
            padding: 0.6em 1.2em;
        }

        .card-edit-action {
            .action-button(@blue-5, @blue-4, @blue-6);
            border-bottom-left-radius: @lms-small-border-radius;
        }

        .card-delete-action {
            .action-button(@red-5, @red-4, @red-6);
            border-bottom-right-radius: @lms-small-border-radius;
        }
    }
}